Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class CodecHelper

    java.lang.Object
      |
      +--org.omg.IOP.CodecHelper

public class CodecHelper
extends java.lang.Object

Helper class for : Codec

Author:
  OpenORB Compiler

Constructor Summary
`CodecHelper()`

Method Summary
`static Codec` | `extract(Any a)` Extract Codec from an any
`static java.lang.String` | `id()` Return the Codec IDL ID
`static void` | `insert(Any a, Codec t)` Insert Codec into an any
`static Codec` | `narrow(Object obj)` Narrow CORBA::Object to Codec
`static Codec` | `read(InputStream istream)` Read Codec from a marshalled stream
`static TypeCode` | `type()` Return the Codec TypeCode
`static Codec` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to Codec
`static void` | `write(OutputStream ostream, Codec value)` Write Codec into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodecHelper

    public CodecHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Codec t)

  Insert Codec into an any
  Parameters:
    `a` - an any
    `t` - Codec value

### extract

    public static Codec extract(Any a)

  Extract Codec from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Codec value

### type

    public static TypeCode type()

  Return the Codec TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Codec IDL ID
  Returns:
    an ID

### read

    public static Codec read(InputStream istream)

  Read Codec from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Codec value

### write

    public static void write(OutputStream ostream,
                             Codec value)

  Write Codec into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Codec value

### narrow

    public static Codec narrow(Object obj)

  Narrow CORBA::Object to Codec
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Codec Object

### unchecked_narrow

    public static Codec unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to Codec
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Codec Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD